package domain

type AlibabaAelophyOrderGetSubOrderResponse struct {
	/*
	   子订单编码     */
	BizSubOrderId *int64 `json:"biz_sub_order_id,omitempty" `

	/*
	   渠道子订单编码     */
	OutSubOrderId *string `json:"out_sub_order_id,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   商品单价, 分     */
	Price *int64 `json:"price,omitempty" `

	/*
	   销售单位     */
	SaleUnit *string `json:"sale_unit,omitempty" `

	/*
	   库存单位     */
	StockUnit *string `json:"stock_unit,omitempty" `

	/*
	   库存单位购买数量     */
	BuyStockQuantity *float64 `json:"buy_stock_quantity,omitempty" `

	/*
	   销售单位购买数量     */
	BuySaleQuantity *float64 `json:"buy_sale_quantity,omitempty" `

	/*
	   子订单原价     */
	OriginalFee *int64 `json:"original_fee,omitempty" `

	/*
	   子订单优惠金额     */
	DiscountFee *int64 `json:"discount_fee,omitempty" `

	/*
	   商品总重量, g     */
	Weight *int64 `json:"weight,omitempty" `

	/*
	   商品条码     */
	Barcode *string `json:"barcode,omitempty" `

	/*
	   商家优惠分摊     */
	DiscountMerchantFee *int64 `json:"discount_merchant_fee,omitempty" `

	/*
	   平台优惠分摊     */
	DiscountPlatformFee *int64 `json:"discount_platform_fee,omitempty" `

	/*
	   是否赠品 0=普通品/1=赠品     */
	GiftFlag *string `json:"gift_flag,omitempty" `

	/*
	   是否称重品 0=标品 / 1=称重品     */
	WeightFlag *string `json:"weight_flag,omitempty" `

	/*
	   子订单状态 值枚举同主单状态     */
	OrderStatus *string `json:"order_status,omitempty" `

	/*
	   子单活动列表     */
	Activitys *[]AlibabaAelophyOrderGetOrderActivity `json:"activitys,omitempty" `

	/*
	   资金优惠     */
	FundsDiscounts *[]AlibabaAelophyOrderGetOrderFundsDiscount `json:"funds_discounts,omitempty" `
}

func (s *AlibabaAelophyOrderGetSubOrderResponse) SetBizSubOrderId(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.BizSubOrderId = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetOutSubOrderId(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.OutSubOrderId = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetSkuCode(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.SkuCode = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetSkuName(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.SkuName = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetPrice(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.Price = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetSaleUnit(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.SaleUnit = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetStockUnit(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.StockUnit = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetBuyStockQuantity(v float64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.BuyStockQuantity = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetBuySaleQuantity(v float64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.BuySaleQuantity = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetOriginalFee(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.OriginalFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetDiscountFee(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.DiscountFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetWeight(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.Weight = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetBarcode(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.Barcode = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetDiscountMerchantFee(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.DiscountMerchantFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetDiscountPlatformFee(v int64) *AlibabaAelophyOrderGetSubOrderResponse {
	s.DiscountPlatformFee = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetGiftFlag(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.GiftFlag = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetWeightFlag(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.WeightFlag = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetOrderStatus(v string) *AlibabaAelophyOrderGetSubOrderResponse {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetActivitys(v []AlibabaAelophyOrderGetOrderActivity) *AlibabaAelophyOrderGetSubOrderResponse {
	s.Activitys = &v
	return s
}
func (s *AlibabaAelophyOrderGetSubOrderResponse) SetFundsDiscounts(v []AlibabaAelophyOrderGetOrderFundsDiscount) *AlibabaAelophyOrderGetSubOrderResponse {
	s.FundsDiscounts = &v
	return s
}
